# SPDX-FileCopyrightText: 2024 Helmholtz-Zentrum Dresden - Rossendorf (HZDR)
#
# SPDX-License-Identifier: CC0-1.0

server {

	listen 443 ssl;
	# TODO: Change me
	server_name metabolator.example.com;

	# TODO: Change me
	ssl_certificate /etc/ssl/certs/metabolator.example.com.crt;
	ssl_certificate_key /etc/ssl/private/metabolator.example.com.key;

	proxy_buffering off;

	location / {
		proxy_pass http://localhost:8866;
		proxy_set_header Host $host;
		proxy_set_header X-Real-IP $remote_addr;
		proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;

		proxy_http_version 1.1;
		proxy_set_header Upgrade $http_upgrade;
		proxy_set_header Connection "upgrade";
		proxy_read_timeout 86400;
	}

	client_max_body_size 100M;

	root /var/www/html;

	location ~ ^/(favicon.ico|privacy.html)$ {
		# First attempt to serve request as file, then
		# as directory, then fall back to displaying a 404.
		try_files $uri $uri/ =404;
	}
}

server {
	listen 80 default_server;
	listen 443 ssl default_server;

	# cert must be given; any cert will do
	ssl_certificate /etc/ssl/certs/ssl-cert-snakeoil.pem;
	ssl_certificate_key /etc/ssl/private/ssl-cert-snakeoil.key;

	# TODO: Change me
	return https://metabolator.example.com$request_uri;
}

# vim: ft=nginx
